<?php

namespace WBB\ThreadPassword\XF\Service\Thread;

class Creator extends XFCP_Creator
{
	protected $threadPassword;

	public function setThreadPassword($passEnter)
	{
		$this->threadPassword = $passEnter;
	}

	protected function _save()
	{
		$thread = parent::_save();
		$threadPassword = $this->threadPassword;
		$thread->fastUpdate([
			'wbb_thread_password' => $threadPassword,
		]);

		return $thread;
	}
}